### Method

# RB ExtDBKey to_store_key

#### Declaration [src]

    TDB_DATA
    rb_ext_db_key_to_store_key (
      RBExtDBKey* key
    )

#### Description [src]

Generates the storage key for `key`. This is the value that should be used to store an item identified by this key in the store. The storage key includes all optional fields, so keys passed to this function should be constructed using only the optional fields that were used to locate the item. The caller must free the data pointer inside `data`.

This should only be used by the metadata store itself. Metadata providers and consumers shouldn’t need to do this.

This method is not directly available to language bindings.

#### Return value

Type: `TDB_DATA`

TDB_DATA structure containing storage key.